package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("menu_sequence")
@ApiModel(
   value = "MenuSequence对象",
   description = ""
)
public class MenuSequence implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("序号")
   private Integer sequence;
   @ApiModelProperty("类型 1 原材料 2菜品")
   private Integer type;
   @ApiModelProperty("时间")
   private String timeIndex;

   public Integer getId() {
      return this.id;
   }

   public Integer getSequence() {
      return this.sequence;
   }

   public Integer getType() {
      return this.type;
   }

   public String getTimeIndex() {
      return this.timeIndex;
   }

   public MenuSequence setId(final Integer id) {
      this.id = id;
      return this;
   }

   public MenuSequence setSequence(final Integer sequence) {
      this.sequence = sequence;
      return this;
   }

   public MenuSequence setType(final Integer type) {
      this.type = type;
      return this;
   }

   public MenuSequence setTimeIndex(final String timeIndex) {
      this.timeIndex = timeIndex;
      return this;
   }
}
